FLANG

Public Types | Public Member Functions | List of all members
Fortran::parser::UserState Class Reference

## Public Types
using | Label = std::uint64_t

## Public Member Functions
| UserState (const CookedSource &cooked, common::LanguageFeatureControl features)
const CookedSource & | cooked () const
const common::LanguageFeatureControl & | features () const
llvm::raw_ostream * | debugOutput () const
UserState & | set_debugOutput (llvm::raw_ostream &out)
ParsingLog * | log () const
UserState & | set_log (ParsingLog *log)
bool | instrumentedParse () const
UserState & | set_instrumentedParse (bool yes)
void | NewSubprogram ()
bool | IsDoLabel (Label label) const
void | NewDoLabel (Label label)
void | EnterNonlabelDoConstruct ()
void | LeaveDoConstruct ()
void | NoteOldStructureComponent (const CharBlock &name)
bool | IsOldStructureComponent (const CharBlock &name) const

The documentation for this class was generated from the following file:

- include/flang/Parser/user-state.h